Name:           python-solarmach
Version:        0.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Multi-spacecraft longitudinal configuration plotter

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/jgieseler/solarmach
Source:         %{pypi_source solarmach}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'solarmach' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-solarmach
Summary:        %{summary}

%description -n python3-solarmach %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-solarmach docs,test


%prep
%autosetup -p1 -n solarmach-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-solarmach -f %{pyproject_files}


%changelog
%autochangelog